package com.atlassian.confluence.extra.workflow;


import com.atlassian.user.User;

import java.util.List;

/**
 * Created by IntelliJ IDEA.
 * User: Tomd
 * Date: 3/05/2005
 * Time: 17:34:10
 * To change this template use File | Settings | File Templates.
 */
public interface Operation
{
    String getName();
    int getId();
    boolean isEditable();
    String getDescription();
    String getFullDescription();
    boolean availableToUserAndClient(User user, WorkflowClient client);
    boolean isConfigError();
    List getConditions();
}
